Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package reify
  Definition Classes
    reflect
-  package utils
  Definition Classes
    reify
- Extractors
- NodePrinters
- StdAttachments
- SymbolTables
- Utils

t

scala.reflect.reify.utils

# Extractors

###

#### trait Extractors extends AnyRef

Self Type
  Utils
Source
  Extractors.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ApplyReifier, Reifier, UnapplyReifier, Reifier, Utils
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Extractors
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed abstract class FreeDefExtractor extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Extractors toany2stringadd[Extractors] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Extractors, B)
   Implicit
     This member is added by an implicit conversion from Extractors toArrowAssoc[Extractors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Extractors) => Boolean, msg: => Any): Extractors
   Implicit
     This member is added by an implicit conversion from Extractors toEnsuring[Extractors] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Extractors) => Boolean): Extractors
   Implicit
     This member is added by an implicit conversion from Extractors toEnsuring[Extractors] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Extractors
    Implicit
      This member is added by an implicit conversion from Extractors toEnsuring[Extractors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Extractors
    Implicit
      This member is added by an implicit conversion from Extractors toEnsuring[Extractors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Extractors toStringFormat[Extractors] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
27.  object ApplyCall
28.  object BoundTerm
29.  object BoundType
30.  object FreeDef extends Utils.FreeDefExtractor
31.  object FreeRef
32.  object FreeTermDef extends Utils.FreeDefExtractor
33.  object FreeTypeDef extends Utils.FreeDefExtractor
34.  object ReifiedTree
35.  object ReifiedType
36.  object SymDef
37.  object TreeSplice
38.  object TypeRefToFreeType

### Deprecated Value Members

1.  def →[B](y: B): (Extractors, B)
   Implicit
     This member is added by an implicit conversion from Extractors toArrowAssoc[Extractors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromExtractors to any2stringadd[Extractors]

### Inherited by implicit conversion StringFormat fromExtractors to StringFormat[Extractors]

### Inherited by implicit conversion Ensuring fromExtractors to Ensuring[Extractors]

### Inherited by implicit conversion ArrowAssoc fromExtractors to ArrowAssoc[Extractors]

### Ungrouped